Subject: Re: linux-next: manual merge of the driver-core tree with the arm tree

From: 'Greg KH' <[email-masked]>
Date: Fri, 6 Jan 2012 11:20:02 -0800

On Fri, Jan 06, 2012 at 04:08:09PM +0900, Kukjin Kim wrote:
> Stephen Rothwell wrote:
> > 
> > Hi Greg,
> > 
> > Today's linux-next merge of the driver-core tree got a conflict in
> > arch/arm/mach-s5pc100/common.c between commit 109ac862f737 ("ARM:
> > mach-s5pc100: use standard arch_idle()") from the arm tree and commit
> > 4a858cfc9af8 ("arm: convert sysdev_class to a regular subsystem") from
> > the driver-core tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary.
> > 
> > --
> > Cheers,
> > Stephen Rothwell                    [email-masked]
> > 
> > diff --cc arch/arm/mach-s5pc100/common.c
> > index 4659fb9,af52c09..0000000
> > --- a/arch/arm/mach-s5pc100/common.c
> > +++ b/arch/arm/mach-s5pc100/common.c
> > @@@ -194,27 -154,17 +195,27 @@@ static struct device s5pc100_dev =
> > 
> >   static int __init s5pc100_core_init(void)
> >   {
> > - 	return sysdev_class_register(&s5pc100_sysclass);
> > + 	return subsys_system_register(&s5pc100_subsys, NULL);
> >   }
> >  -
> >   core_initcall(s5pc100_core_init);
> > 
> >   int __init s5pc100_init(void)
> >   {
> >   	printk(KERN_INFO "S5PC100: Initializing architecture\n");
> > - 	return sysdev_register(&s5pc100_sysdev);
> > ++	return device_register(&s5pc100_sys);
> 
> Hi Greg,
> 
> Should be 'return device_register(&s5pc100_dev);'?
> 
> Greg,
> Following should be fixed in your driver-core/driver-core-next.
> (I informed that but maybe you missed)

Sorry, I missed this patch.  I'll apply it and take the above merge fix
as well.

greg k-h